from django.core.management.base import BaseCommand

from core import celery_app
from helpers.const.tasks import EXAMPLE_TASK_NAME


class Command(BaseCommand):
    def handle(self, *args, **options):
        celery_app.send_task(
            name=EXAMPLE_TASK_NAME,
            kwargs={
                "x": 2,
                "y": 3,
            }
        )
