from abc import ABC, abstractmethod

from celery import Task


class ProcessingQueue(ABC, Task):

    @abstractmethod
    def processed_task(self, *args, **kwargs):
        pass

    def run(self, *args, **kwargs):
        return self.processed_task(*args, **kwargs)
