from application.tasks.abstract.base_task import ProcessingQueue
from helpers.const.tasks import EXAMPLE_TASK_NAME


class Example(ProcessingQueue):
    name = EXAMPLE_TASK_NAME
    max_retries = 5
    default_retry_delay = 5
    autoretry_for = (Exception,)

    def processed_task(self, x: int | float, y: int | float):
        return x + y
